searchNodes=[{"doc":"Documentation for Elxvips.","ref":"Elxvips.html","title":"Elxvips","type":"module"},{"doc":"Converts %ImageFile{} to %ImageBytes{} for further processing.Examplesiex&gt; Elxvips.open( &quot;test/input.png&quot; ) iex&gt; |&gt; Elxvips.as_bytes() {:ok, %ImageBytes{}}","ref":"Elxvips.html#as_bytes/1","title":"Elxvips.as_bytes/1","type":"function"},{"doc":"Returns dimensions of the specified image, works with a image path or bytes.Examplesiex&gt; Elxvips.open( &quot;test/input.png&quot; ) iex&gt; |&gt; Elxvips.get_image_sizes() {:ok, [640, 486]}","ref":"Elxvips.html#get_image_sizes/1","title":"Elxvips.get_image_sizes/1","type":"function"},{"doc":"Will save the ImageFile in jpeg format to a specified path. Accepts quality and strip options. By default quality is set to 90 and strip to true.Examplesiex&gt; Elxvips.open( &quot;/path/input.png&quot; ) iex&gt; |&gt; Elxvips.jpg( &quot;/path/output.jpg&quot;, strip: true, quality: 72 ) { :ok, %ImageFile{ :path =&gt; &quot;/path/output.jpg&quot;, ... } }","ref":"Elxvips.html#jpg/3","title":"Elxvips.jpg/3","type":"function"},{"doc":"Same as jpg() but works with %ImageBytes{}.Examplesiex&gt; Elxvips.open( &quot;/path/input.png&quot; ) iex&gt; |&gt; Elxvips.jpg_bytes( strip: true, quality: 72 ) { :ok, %ImageBytes{ :bytes =&gt; [...] } }","ref":"Elxvips.html#jpg_bytes/2","title":"Elxvips.jpg_bytes/2","type":"function"},{"doc":"Will create an ImageFile struct from path. This struct will be used for further processing.Examplesiex&gt; Elxvips.open( &quot;/path/input.png&quot; ) %ImageFile{}","ref":"Elxvips.html#open/1","title":"Elxvips.open/1","type":"function"},{"doc":"Will save the ImageFile in png format to a specified path. Accepts quality and strip options. By default quality is set to 90, strip to true.Examplesiex&gt; Elxvips.open( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; Elxvips.png( &quot;/path/output.png&quot;, strip: true, quality: 72 ) { :ok, %ImageFile{ :path =&gt; &quot;/path/output.png&quot;, ... } }","ref":"Elxvips.html#png/3","title":"Elxvips.png/3","type":"function"},{"doc":"Same as png() but works with %ImageBytes{}.Examplesiex&gt; Elxvips.open( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; Elxvips.png_bytes( strip: true, quality: 72 ) { :ok, %ImageBytes{ :bytes =&gt; [...] } }","ref":"Elxvips.html#png_bytes/2","title":"Elxvips.png_bytes/2","type":"function"},{"doc":"Applies resize options to an %ImageFile{} or %ImageBytes{}, accepts :width, :height and :type (not implemented yet). If no width or height is specified dimensions are calculated from the input image. Empty resize( no :width and no :height) will produce an image with the dimensions as the original one.NoteAll resizes are applied on image creation, when jpg or jpg_bytes or other format functions are called.Examplesiex&gt; Elxvips.open( &quot;test/input.png&quot; ) iex&gt; |&gt; Elxvips.resize( width: 300 ) {:ok, %ImageBytes{}} iex&gt; Elxvips.open( &quot;test/input.png&quot; ) iex&gt; |&gt; Elxvips.resize() {:ok, %ImageBytes{}}","ref":"Elxvips.html#resize/2","title":"Elxvips.resize/2","type":"function"},{"doc":"Will set the concurrency of libVips to a specified number. By default it will check for &quot;VIPS_CONCURRENCY&quot; environment variable, if none if found it will fallback to number of cpu cores.Examplesiex&gt; Elxvips.set_concurrency( 4 ) :ok","ref":"Elxvips.html#set_concurrency/1","title":"Elxvips.set_concurrency/1","type":"function"},{"doc":"","ref":"Elxvips.ImageBytes.html","title":"Elxvips.ImageBytes","type":"module"},{"doc":"","ref":"Elxvips.ImageFile.html","title":"Elxvips.ImageFile","type":"module"},{"doc":"","ref":"Elxvips.ResizeOptions.html","title":"Elxvips.ResizeOptions","type":"module"},{"doc":"","ref":"Elxvips.SaveOptions.html","title":"Elxvips.SaveOptions","type":"module"}]